Java Question CustomFonts Error after SDK latest Update

Status
Not open for further replies.

labcold

Member
Licensed User
I have been developing an application for two months now and just about to release to the client.
I use on single additional font and use CustomFonts to achieve it. Its been working fine until I did the latest update on the SDK using SDK manager- thinking this would be a good idea before I build the final version for the client. btw (I am using api 28 on Android 7.1.1)

Now the project will not compile - I get the following error...

Error on complie:
B4A Version: 9.80
Java Version: 8
Parsing code.    (0.04s)
Building folders structure.    (0.01s)
Compiling code.    (0.04s)
Compiling layouts code.    (0.00s)
Organizing libraries.    (0.00s)
    (Android Support Library)
Generating R file.    Error
d:\android\tools\..\extras\b4a_remote\com\android\support\support-compat\28.0.0\unpacked-support-compat-28.0.0\res\values\values.xml:36: error: Attribute "fontProviderFetchStrategy" already defined with incompatible format.
d:\android\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:127: Original attribute defined here.
d:\android\tools\..\extras\b4a_remote\com\android\support\support-compat\28.0.0\unpacked-support-compat-28.0.0\res\values\values.xml:51: error: Attribute "fontProviderFetchTimeout" already defined with incompatible format.
d:\android\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:139: Original attribute defined here.
d:\android\tools\..\extras\b4a_remote\com\android\support\support-compat\28.0.0\unpacked-support-compat-28.0.0\res\values\values.xml:61: error: Attribute "fontStyle" already defined with incompatible format.
d:\android\tools\..\extras\b4a_remote\androidx\core\core\1.3.1\unpacked-core-1.3.1\res\values\values.xml:147: Original attribute defined here.

I can see the relevant files in the directories and I can see where the two XML docs referenced in the error above are.
But how do I solve this as I cant roll back to the previous versions using SDK manager?
 
Status
Not open for further replies.
Top